Cryptographic Issues Affecting openssl package, versions *


low

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
NVD  medium
Red Hat  medium

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-DEBIAN11-OPENSSL-518334
  • published 11 Oct 2013
  • disclosed 11 Oct 2013

How to fix?

There is no fixed version for Debian:11 openssl.

NVD Description

Note: Versions mentioned in the description apply to the upstream openssl package.

The NIST SP 800-90A default statement of the Dual Elliptic Curve Deterministic Random Bit Generation (Dual_EC_DRBG) algorithm contains point Q constants with a possible relationship to certain "skeleton key" values, which might allow context-dependent attackers to defeat cryptographic protection mechanisms by leveraging knowledge of those values. NOTE: this is a preliminary CVE for Dual_EC_DRBG; future research may provide additional details about point Q and associated attacks, and could potentially lead to a RECAST or REJECT of this CVE.